Bug 1730076 - novajoin_enrollment tests return code 500 'No valid host was found' error [NEEDINFO]
Summary: novajoin_enrollment tests return code 500 'No valid host was found' error
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-novajoin-tests-tempest
Version: 15.0 (Stein)
Hardware: x86_64
OS: Linux
high
high
Target Milestone: z2
: 15.0 (Stein)
Assignee: Ade Lee
QA Contact: Pavan
URL:
Whiteboard:
Depends On:
Blocks: 1624486 1624488
TreeView+ depends on / blocked
 
Reported: 2019-07-15 18:51 UTC by Pavan
Modified: 2020-02-19 12:48 UTC (History)
7 users (show)

Fixed In Version: python-novajoin-tests-tempest-0.0.1-0.20190923150420.80dd51a.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:
amcleod: needinfo? (alee)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 683281 'None' MERGED Add option to set connect_retries 2020-02-17 16:52:03 UTC
OpenStack gerrit 683282 'None' MERGED Add fix for mysql and add a retry 2020-02-17 16:52:03 UTC

Description Pavan 2019-07-15 18:51:59 UTC
Description of problem:
The novajoin_enrollment tests return code 500 'No valid host was found' error.

{1} novajoin_tempest_plugin.tests.scenario.test_novajoin_enrollment.ServerTest.test_enrollment_metadata_in_image [10.836171s] ... FAILED
{1} novajoin_tempest_plugin.tests.scenario.test_novajoin_enrollment.ServerTest.test_enrollment_metadata_in_instance [10.716608s] ... FAILED

Captured traceback:
~~~~~~~~~~~~~~~~~~~
    b'Traceback (most recent call last):'
    b'  File "/usr/lib/python3.6/site-packages/novajoin_tempest_plugin/tests/scenario/test_novajoin_enrollment.py", line 169, in test_enrollment_metadata_in_image'
    b"    wait_until='ACTIVE')"
    b'  File "/usr/lib/python3.6/site-packages/novajoin_tempest_plugin/tests/scenario/manager.py", line 122, in create_server'
    b"    'ACTIVE')"
    b'  File "/usr/lib/python3.6/site-packages/tempest/common/waiters.py", line 76, in wait_for_server_status'
    b'    server_id=server_id)'
    b'tempest.exceptions.BuildErrorException: Server 26850630-38c6-4382-8072-78537cafa908 failed to build and is in ERROR status'
    b'Details: {\'code\': 500, \'created\': \'2019-07-15T17:22:28Z\', \'message\': \'No valid host was found. \', \'details\': \'  File "/usr/lib/python3.6/site-packages/nova/conductor/manager.py", line 1352, in schedule_and_build_instances\\n    instance_uuids, return_alternates=True)\\n  File "/usr/lib/python3.6/site-packages/nova/conductor/manager.py", line 806, in _schedule_instances\\n    return_alternates=return_alternates)\\n  File "/usr/lib/python3.6/site-packages/nova/scheduler/client/query.py", line 42, in select_destinations\\n    instance_uuids, return_objects, return_alternates)\\n  File "/usr/lib/python3.6/site-packages/nova/scheduler/rpcapi.py", line 160, in select_destinations\\n    return cctxt.call(ctxt, \\\'select_destinations\\\', **msg_args)\\n  File "/usr/lib/python3.6/site-packages/oslo_messaging/rpc/client.py", line 178, in call\\n    retry=self.retry)\\n  File "/usr/lib/python3.6/site-packages/oslo_messaging/transport.py", line 128, in _send\\n    retry=retry)\\n  File "/usr/lib/python3.6/site-packages/oslo_messaging/_drivers/amqpdriver.py", line 645, in send\\n    call_monitor_timeout, retry=retry)\\n  File "/usr/lib/python3.6/site-packages/oslo_messaging/_drivers/amqpdriver.py", line 636, in _send\\n    raise result\\n\'}'
    b''


Version-Release number of selected component (if applicable):
RHOS_TRUNK-15.0-RHEL-8-20190708.n.2

How reproducible:


Steps to Reproduce:
1. Deploy RHOS-15 with 'passed_phase1' or the latest puddle with topology controller:3,compute:2,freeipa:1,ironic:4
2. Install 'openstack-tempest-all' and 'python3-novajoin-tests-tempest' packages
3. source /home/stack/overcloudrc
4. On the undercloud /home/stack dir, create workspace for tempest

(undercloud) [stack@undercloud-0 ~]$ tempest init novajoin_tempest
2019-07-15 10:27:23.909 1025847 INFO tempest [-] Using tempest config file /etc/tempest/tempest.conf

5. change directory, cd novajoin_tempest
6. Configure the tempest.conf as per novajoin tempest tests 

discover-tempest-config --out etc/tempest.conf --deployer-input ~/tempest-deployer-input.conf --debug --create identity.uri $OS_AUTH_URL auth.admin_password $OS_PASSWORD auth.admin_username $OS_USERNAME auth.use_dynamic_credentials true network.tenant_network_cidr 172.17.2.0/24 validation.connect_method 'fixed' validation.network_for_ssh 'ctlplane' compute.allow_tenant_isolation 'True' object-storage.operator_role 'swiftoperator' novajoin.tripleo_controllers 'controller-0,controller-1,controller-2' novajoin.tripleo_computes 'compute-0,compute-1' novajoin.tripleo_undercloud 'undercloud-0' novajoin.flavor_tag baremetal image.image_path http://download-node-02.eng.bos.redhat.com/qa/rhts/lookaside/security-dfg/python-novajoin/Fedora-Cloud-Base-29-1.2.x86_64.qcow2 image.http_image http://download-node-02.eng.bos.redhat.com/qa/rhts/lookaside/security-dfg/python-novajoin/Fedora-Cloud-Base-29-1.2.x86_64.qcow2 validation.image_ssh_user fedora

7. execute novajoin tempest tests

(overcloud) [stack@undercloud-0 novajoin]$ tempest run --regex novajoin_tempest_plugin

Actual results:
{1} novajoin_tempest_plugin.tests.scenario.test_novajoin_enrollment.ServerTest.test_enrollment_metadata_in_image [10.836171s] ... FAILED
{1} novajoin_tempest_plugin.tests.scenario.test_novajoin_enrollment.ServerTest.test_enrollment_metadata_in_instance [10.716608s] ... FAILED

Expected results:
Tests pass/ok

Additional info: 
access the undercloud sos report here: https://drive.google.com/open?id=149fU1k9p52q9khOAWvprgiLxHbE8_T7P

Comment 6 Alex McLeod 2020-02-19 12:48:50 UTC
If this bug requires doc text for errata release, please set the 'Doc Type' and provide draft text according to the template in the 'Doc Text' field. The documentation team will review, edit, and approve the text.

If this bug does not require doc text, please set the 'requires_doc_text' flag to '-'.


Note You need to log in before you can comment on or make changes to this bug.